Subject: bug#3081: 23.0.92; x-list-fonts no longer gives correct result - substitutes * for fixed font size

From: Kenichi Handa <[email-masked]>
Date: Thu, 23 Apr 2009 11:07:47 +0900

In article <[email-masked]>, "Drew Adams" <[email-masked]> writes:

> I have this defcustom, which I use to choose a small font:
> (defcustom palette-font
>   (and window-system
>        (or (car (x-list-fonts
>   "-*-Courier-*-*-*-*-5-*-*-*-*-*-iso8859-1" nil nil 1)) ; 1
>            (car (x-list-fonts "-*-fixed-*-*-*-*-5-*-*-*-*-*-iso8859-1"
>   nil nil 1)) ; 2
>            (car (x-list-fonts
>   "-*-Terminal-*-*-*-*-5-*-*-*-*-*-iso8859-1" nil nil 1)) ; 3
>            (car (x-list-fonts "-*-*-*-*-*-*-5-*-*-*-*-*-iso8859-1" nil
>   nil 1)))) ;4
>   "...")
[...]
> In Emacs 23, these are the values:
 
> 1. ("-outline-Courier-bold-normal-normal-mono-*-*-*-*-c-*-iso8859-1")
> 2. nil
> 3. nil
> 4. ("-outline-Lucida Sans
> Typewriter-bold-normal-normal-sans-*-*-*-*-c-*-iso8859-1")
 
> The first difference to notice is #4: a completely different font
> family is used. Why should this be? Anyway, I don't really have a
> problem with this.
 
If you don't specify a family, which family is selected is
completely arbitrary.

> The problem is that the font size is not correct: * instead of a real
> font size.  The whole point of this defcustom is to try to find a
> default value for the option that provides a tiny font that the user
> has available. It tries to match various fonts of size 5, until it
> finds a match.
 
I installed a fix.  Please try again.

---
Kenichi Handa
[email-masked]